Subject: categories: cracks and pots

From: "John Baez" <[email-masked]>
Date: Thu, 16 Mar 2006 12:47:53 -0800 (PST)

Dear Marta -

You write:

> I am relieved to learn (from the postings by David Yetter and John Baez)
> that Motl's blog on the issue of categories and string theory is based on 1)
> (Yetter) Motl's reluctance, as is the case with many string theorists, to
> refuse to learn category theory, and 2) (Baez) Motl's personal dislike of
> John Baez and of many other people, so that since Motl's personality is
> well-known, any damage will be minimal.

Good!

> I thank David and John for taking the trouble to respond in detail to what
> may have seem as a "provocation" on my part (well, perhaps it was...).

By the way, I should explain why I thought you might be kidding in
your original post.  I had never heard anyone before suggest that
category theory could be discredited by applications to string theory.
It completely surprised me.  I'm used to the opposite complaint:
that category theory is discredited by its *lack* of applications.
Of course, this always comes from people who 1) haven't taken the time
to learn of its applications, 2) don't know enough category theory to
appreciate its *intrinsic* interest.

But it's good to hear your real concern:

> But these informative responses do not address my main concern, which is one
> that others (publicly, as Eduardo Dubuc, but several others privately) have
> expressed to me following my posting. I was aiming at the fact that there is
> a certain trend within category theory (when did it start?) to consistently
> give center stage to anything that claims to have connections with physics
> (in particular string theory).  Is this because (it is believed that) the
> state of category theory is now so poor (as "evidenced" by the lack of
> grants) that they (the organizers of meetings) want to repair this image at
> any cost?

Since I began as a mathematical physicist and got interested in
n-categories for their applications to topological quantum field theory,
only later falling in love with category theory per se, I'm the wrong one
to answer this question.  I don't even know if it's true that applications
to physics are given center stage, much less when this started, or why.

I know a bit more about how people in differential geometry and
differential topology got excited about work with links to physics.
This trend probably started around the time of the Atiyah-Singer
index theorem, which uses characteristic classes to compute the
Euler characteristics of certain chain complexes built using
differential operators.  At the time this result was proved (1962-1965),
it seemed an audacious blend of analysis and topology.  That's
one reason it caught people's interest.

Another reason people liked the index theorem so much was that it
turned out to be related to "anomalies" in quantum field theory,
a phenomenon discovered by Adler, Bell and Jackiw around 1969.
These nasty "anomalies" are actually a very practical issue
in particle physics: they're related to the lifetime of the pion,
and you can rule out field theories that have certain kinds of anomalies.

I guess the relation between the index theorem and anomalies only
became clear in the late 70's.  I guess people were shocked and
excited when it turned out that such sophisticated topology had
practical applications to physics.  Most topologists didn't know
any quantum field theory, and most quantum field theorists didn't
know that much topology.  So, a kind of mutual fascination developed:
both sides began learning about each other.

People gave lots of proofs of the index theorem that illustrated
very different ways of looking at it.  The first proof had used a lot
of K-theory and cobordism theory; later proofs used more facts about
the heat equation, but by the time I was in grad school (1982-86)
Quillen was giving lectures in which he tried to find a proof that
only used multivariable calculus and "super" reasoning - i.e., lots
of Z/2-graded linear algebra.  This was when supersymmetry was just
hitting the shores of mathematics, and Witten was starting to work
his wonders.

Anyway, index theory is just one of the first of many developments
where ideas from physics met ideas from branches of math that seemed
to have nothing to do with physics.

In the heyday of Bourbaki, I guess pure mathematics seemed very
removed from physics.  It's fun to read what Dieudonne says about
mathematical physics in his "Panorama of Pure Mathematics".  By now,
the situation has completely reversed in many fields, starting with
differential geometry and topology, but then moving on to certain
areas of algebra, and algebraic geometry, and now category theory,
especially higher category theory....

This process has caused friction at every stage.  Physicists
don't always enjoy the intrusion of more mathematics into their various
fields!   Mathematicians don't always enjoy the intrusion of more
physics - or the fast-paced, exploratory, sometimes sloppy cognitive
style of physicists.  You may recall Jaffe and Quinn's worries about
the impact of physics on mathematics:

http://www.arxiv.org/abs/math.HO/9307227

and how Atiyah in reply called for mathematicians to adopt the
more "buccaneering" style of physics:

http://www.ams.org/bull/pre-1996-data/199430-2/199430-2TOC.html

which led Mac Lane to respond with the ballad of Captain Kidd:

http://www.math.nsc.ru/LBRT/g2/english/ssk/proof_is_necessary.pdf

The interesting big question is: how has this increased interaction
both helped and hurt mathematics and physics?  Clearly there are
benefits.  But does math become too "trendy" by chasing after links
with the latest ideas of string theory?  Does physics lose sight of
its real purpose by focusing too much on mathematical elegance?

There are lots of issues here.  I've gone on too long already to
want to tackle them now.  But I think it's fair to say that that
mathematics has benefited more than physics.  One reason is that
theories of physics do not need to be correct - i.e., apply to
this particular universe of ours - to be mathematically interesting.

Indeed, the funny thing about string theory is that while leading
to an abundant harvest of rigorous mathematical results, it has
not yet correctly predicted a single result from a single experiment,
even after more than 20 years of work on the part of many smart people.

This is part of a more general malaise in the theoretical side of
fundamental physics, which various people have been commenting on
recently:

http://www.math.columbia.edu/~woit/wordpress/?p=307

http://www.nyas.org/publications/UpdateUnbound.asp?UpdateID=41

http://math.ucr.edu/home/baez/where_we_stand/

So, it's possible that string theory will eventually fall out
of fashion.  This could change the current dynamic between math and
physics.  A lot will depend on the results from the LHC particle
accelerator, due to start operation in 2007.   It may get evidence
for string theory; it may not.

Anyway, I'm sure these comments won't put your worries to rest!
They're not really meant to.  I just think it's good to see the
issue of "category theory and string theory" as part of a much
bigger and more complicated mess.  :-)

Best,
jb